/*
 * Connect the RC Receiver's signal pins to the Arduino's digital pins 2,3,4,5,6, and 7.
 * The duration of the high RC pulse will be printed in milliseconds.
 * 
 * Author: David Wang, NuVu Studio
 */
#include <RCPulseIn.h>
#include <EnableInterrupt.h>

// define an interrupt for each digital pin 
// that will need to read an RC pulse train.
defineRC(2);
defineRC(3);
defineRC(4);
defineRC(5);
defineRC(6);
defineRC(7);

void setup() {
  // setup Serial communication, for the Arduino console.
  Serial.begin(9600);
  // setup the RC interrupt for each digital pin
  // (You need to use "defineRC(pin)" for each pin, see above.)
  setupRC(2);
  setupRC(3);
  setupRC(4);
  setupRC(5);
  setupRC(6);
  setupRC(7);

}

void loop() {
  // Use the function "readRC(pinNumber)" to read the duration  
  // of the high voltage pulse to each digital pin.
  // (You need to use "defineRC(pin)" and "setupRC(pin)" for each pin, see above.)
  Serial.print(readRC(2));
  Serial.print(",");
  Serial.print(readRC(3));
  Serial.print(",");
  Serial.print(readRC(4));
  Serial.print(",");
  Serial.print(readRC(5));
  Serial.print(",");
  Serial.print(readRC(6));
  Serial.print(",");
  Serial.print(readRC(7));
  Serial.println();

}


